%% Generated by lilypond-book
%% Options: [exampleindent=10.16\mm,indent=0\mm,line-width=160\mm]
\include "lilypond-book-preamble.ly"


% ****************************************************************
% Start cut-&-pastable-section
% ****************************************************************

#(ly:set-option 'eps-box-padding 3.000000)



\paper {
  indent = 0\mm
  line-width = 160\mm
  % offset the left padding, also add 1mm as lilypond creates cropped
  % images with a little space on the right
  line-width = #(- line-width (* mm  3.000000) (* mm 1))
}

\layout {
  
}




% ****************************************************************
% ly snippet:
% ****************************************************************
\sourcefilename "snippets/volta-text-markup-using-repeatcommands.ly"
\sourcefileline 0
%% DO NOT EDIT this file manually; it was automatically
%% generated from the LilyPond Snippet Repository
%% (http://lsr.di.unimi.it).
%%
%% Make any changes in the LSR itself, or in
%% `Documentation/snippets/new/`, then run
%% `scripts/auxiliar/makelsr.pl`.
%%
%% This file is in the public domain.

\version "2.23.13"

\header {
%% Translation of GIT committish: a8a85e19654e46d725563e6deba44083ef137a2c
  texidocja = "
入れ替え部分のある繰り返しは @code{\\repeat volta} を用いて指定するのが@c
最善ですが、入れ替え部分のテキストを @code{\\markup} によって@c
フォーマットする必要がある場合は、@code{repeatCommands} コンテキスト
プロパティを用いる必要があります。

@code{repeatCommands} はリストを取るため、マークアップを含める簡単な方法は、@c
マークアップを変数として定義し、Scheme 構文を用いてリストに埋め込むことです
(@code{#(list (list 'volta textIdentifier))}, @code{textIdentifier}
は変数名)。繰り返し小節線の指定を、リストの別の要素から行うことができます。
"
  doctitleja = "repeatCommands を用いて入れ替え部分のテキストにマークアップを使用する"

%% Translation of GIT committish: a3fd5364fc4f247579da0ed2bfea887ab37285c6
  texidocfr = "
La commande @code{\\repeat volta} permet d'indiquer facilement des
reprises. Il est certains cas où l'adjonction d'un texte sous forme de
@code{\\markup} nécessite cependant de recourir à la propriété de
contexte @code{repeatCommands}.

Dans la mesure où l'argument de @code{repeatCommands} est constitué
d'une liste, le plus simple est de définir le texte dans une variable
qui sera ensuite incorporée dans la liste en respectant la syntaxe
Scheme @code{#(list (list 'volta texteIdentificateur))}. Les commandes
de début et de fin de reprise peuvent s'ajouter séparément à la liste
des éléments.
"

  doctitlefr = "Indication de reprise avec texte grâce à @code{repeatCommands}"

%% Translation of GIT committish: 8ffecf6be17c6ec2ff87cf31873121a8cce29b09
  texidoces = "
Aunque las casillas de repetición se especifican de forma óptima
usando @code{\\repeat volta}, debe usarse la propiedad de contexto
@code{repeatCommands} en caso de que el texto de la casilla requiera
un formato más avanzado con @code{\\markup}.


Puesto que @code{repeatCommands} admite una lista, el método más
sencillo de incluir elementos de marcado es usar un identificador para
el texto e insertarlo en la lista de instrucciones usando la sintaxis
de Scheme @code{#(list (list 'volta textIdentifier))}.  Las
instrucciones de principio y fin de repetición se pueden añadir como
elementos de lista independientes:

"
  doctitlees = "Elementos de marcado para el texto de las casillas de repetición usando repeatCommands"

%% Translation of GIT committish: 8ffecf6be17c6ec2ff87cf31873121a8cce29b09
  texidocca = "
Tot i que les caselles de repetició s'especifiquen de forma òptima
usant @code{\\repeat volta}, s'ha d'usar la propietat de context
@code{repeatCommands} en cas que el text de la casella requereixi
un format més avançat amb @code{\\markup}.

Atès que @code{repeatCommands} admet una llista, el mètode més senzill
d'incloure elements de marcatge és usar un identificador per al
text i inserir-lo a la llista d'ordres usant la sintaxi de l'Scheme
@code{#(list (list 'volta textIdentifier))}.  Les ordres de principi
i fi de repetició es poden afegir com elements de llista independents:

"
  doctitleca = "Elements de marcatge per al text de les caselles de repetició usant repeatCommands"

  lsrtags = "repeats, symbols-and-glyphs, text"

  texidoc = "
Though volte are best specified using @code{\\repeat volta}, the
context property @code{repeatCommands} must be used in cases where the
volta text needs more advanced formatting with @code{\\markup}.

Since @code{repeatCommands} takes a list, the simplest method of
including markup is to use an identifier for the text and embed it in
the command list using the Scheme syntax
@code{#(list (list 'volta textIdentifier))}. Start- and end-repeat
commands can be added as separate list elements:
"

  doctitle = "Volta text markup using repeatCommands"
} % begin verbatim


voltaAdLib = \markup { 1. 2. 3... \text \italic { ad lib. } }

\relative c'' {
  c1
  \set Score.repeatCommands = #(list (list 'volta voltaAdLib) 'start-repeat)
  c4 b d e
  \set Score.repeatCommands = #'((volta #f) (volta "4.") end-repeat)
  f1
  \set Score.repeatCommands = #'((volta #f))
}



% ****************************************************************
% end ly snippet
% ****************************************************************
